Error while invoking dolfin


30
views
0
17 days ago by
Dear community members,

I am novice user of fenics . Currently, I am using dolfin version of 2017.2.0 on Ubuntu system with 16.04 LTS. When I am invoking dolfin from the terminal, it is displaying an error. Even when I run the script, it shows the same error. Couple of days ago, it was working fine. Suddenly it is showing following error. I uninstalled fenics and installed again but to no avail. The error still persists. Please help me out. Any pointers would be of great help.

peter@User:~$ python
Python 2.7.12 (default, Dec  4 2017, 14:50:18) 
[GCC 5.4.0 20160609] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from dolfin import *
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/dist-packages/dolfin/__init__.py", line 17, in <module>
    from . import cpp
  File "/usr/lib/python2.7/dist-packages/dolfin/cpp/__init__.py", line 43, in <module>
    exec("from . import %s" % module_name)
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/dist-packages/dolfin/cpp/common.py", line 32, in <module>
    _common = swig_import_helper()
  File "/usr/lib/python2.7/dist-packages/dolfin/cpp/common.py", line 28, in swig_import_helper
    _mod = imp.load_module('_common', fp, pathname, description)
ImportError: /usr/lib/libblacsCinit-openmpi.so.1: undefined symbol: ompi_mpi_comm_world​
 
Community: FEniCS Project
Please login to add an answer/comment or follow this question.

Similar posts:
Search »